# Invoke-RASLicenseActivate.md

## NAME

Invoke-RASLicenseActivate

## SYNOPSIS

Activates Parallels RAS using a license key.

## SYNTAX

\*\*Invoke-RASLicenseActivate \[[Email](#email-string)] *(string)* \[[Password](#password-string)] *(SecureString)* \[\[-[Key](#key-string)] *(string)*] \[\[-[MacAddress](#macaddress-string)] *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Activates Parallels RAS using a valid license key.

It also allows you to activate Parallels RAS as a trial version.

## PARAMETERS

## Email (string)

The email address you use to log in to Parallels My Account.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

Your Parallels account password.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Key (string)

Parallels RAS License Key. The key must be registered in Parallels My Account.

To activate Parallels RAS as a trial version, omit this parameter.

```
        Required?                    false

        Position?                    2

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MacAddress (string)

Bind the license activation with a specific MAC address.

The MAC address should be in the format XX-XX-XX-XX-XX-XX.

To select a MAC address automatically, omit this parameter.

```
        Required?                    false

        Position?                    3

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASLicenseActivate -Email "<name@company.com>" -Password $SecretPass -Key "QPWO-WRET-XVBC-IOUP"

Activates Parallels RAS using the specified Parallels My Account credentials and license key.

The $SecretPass variable must contain a password as SecureString.

If you omit the -Password parameter, you'll be asked to enter it when you execute the cmdlet.

## RELATED LINKS

* [Invoke-RASLicenseDeactivate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-raslicensedeactivate.md)
* [Get-RASLicenseDetails](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raslicensedetails.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-raslicenseactivate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
